[PC-BSD Commits] r2025 - pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts

svn at pcbsd.org svn at pcbsd.org
Thu Jun 5 13:21:49 PDT 2008


Author: kris
Date: 2008-06-05 13:21:48 -0700 (Thu, 05 Jun 2008)
New Revision: 2025

Modified:
   pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.DesktopSetup.sh
   pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.ServerSetup.sh
Log:

Customized the desktop / server experience a bit more by adding different
PBIs



Modified: pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.DesktopSetup.sh
===================================================================
--- pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.DesktopSetup.sh	2008-06-05 17:50:48 UTC (rev 2024)
+++ pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.DesktopSetup.sh	2008-06-05 20:21:48 UTC (rev 2025)
@@ -17,3 +17,26 @@
 done
 
 cd /
+
+# Load Wine from CD2 here
+DISPLAY=""; export DISPLAY
+mkdir -p ${FSMNT}/tmp/components
+cp ${CDMNT}/PBI/Wine* ${FSMNT}/tmp/components/
+
+# Make our install script
+echo '#!/bin/sh
+ls /Programs/Wine* >/dev/null 2>/dev/null
+if [ "$?" != "0" ]
+then
+  cd /tmp/components/
+  chmod 755 Wine*
+  ./Wine*.pbi -text -accept
+fi
+' > ${FSMNT}/installComponent.sh
+
+# Run the chrooted script
+chmod 755 ${FSMNT}/installComponent.sh
+chroot ${FSMNT} /installComponent.sh
+# Cleanup
+rm ${FSMNT}/installComponent.sh
+rm -rf ${FSMNT}/tmp/components

Modified: pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.ServerSetup.sh
===================================================================
--- pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.ServerSetup.sh	2008-06-05 17:50:48 UTC (rev 2024)
+++ pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.ServerSetup.sh	2008-06-05 20:21:48 UTC (rev 2025)
@@ -17,10 +17,29 @@
 mv rc.conf.new rc.conf
 
 
-
 # Load the Warden from CD2 here
-#
+DISPLAY=""; export DISPLAY
+mkdir -p ${FSMNT}/tmp/components
+cp ${CDMNT}/PBI/TheWarden* ${FSMNT}/tmp/components/
 
+# Make our install script
+echo '#!/bin/sh
+ls /Programs/TheWarden* >/dev/null 2>/dev/null
+if [ "$?" != "0" ]
+then
+  cd /tmp/components/
+  chmod 755 TheWarden*
+  ./TheWarden*.pbi -text -accept
+fi
+' > ${FSMNT}/installComponent.sh
 
+# Run the chrooted script
+chmod 755 ${FSMNT}/installComponent.sh
+chroot ${FSMNT} /installComponent.sh
+# Cleanup
+rm ${FSMNT}/installComponent.sh
+rm -rf ${FSMNT}/tmp/components
 
+
+
 exit 0



More information about the Commits mailing list